body.drawing {
  background-color: #171717;
  margin: 0;
  border: 0;
  width: 100vw;
  height: calc(100px * var(--vh));
  overflow: hidden;
  color: white;
  font-family: "Helvetica", sans-serif;
  --brushSliderSize: 20px;
}

body.drawing #drawing_container {
  width: 100%;
  height: 100%;
  position: relative;
  overflow: hidden;
}

body.drawing h3 {
  margin: 0;
  position: absolute;
  left: 30px;
  top: 50px;
}

body.drawing canvas {
  width: 200%;
  height: 200%;
  transform: scale(0.5);
  transform-origin: top left;
  cursor: crosshair;
}

body.drawing .controls {
  position: absolute;
  bottom: 30px;
  left: 30px;
}

body.drawing .button {
  border: 1px solid white;
  cursor: pointer !important;
  padding: 6px 12px;
  margin-right: 15px;
}

body.drawing .button:hover {
  color: #171717;
  background: white;
}

body.drawing .button:active {
  color: #171717;
  background: #d4dce2;
}

body.drawing .eraser_icon:checked + label {
  color: #171717;
  background: white;
  cursor: default;
}

body.drawing .canvas_slider {
  position: absolute;
  left: 70px;
  top: 50%;
  transform: translate(0, -50%);
}

@media screen and (max-width: 767px) {
  body.drawing .canvas_slider {
    left: 50px;
    top: 70%;
  }
}

body.drawing .canvas_slider .input_slider {
  position: relative;
  z-index: 5;
  height: 200px;
  width: 2px;
  cursor: ns-resize;
}

body.drawing .canvas_slider .input_slider span {
  width: 1px;
  height: 1px;
  margin: 0;
  position: absolute;
  left: 50%;
  padding: 50px;
  transform: translate(-50%, 50px);
  cursor: ns-resize;
}

body.drawing .canvas_slider .input_slider span:after {
  height: var(--brushSliderSize);
  width: var(--brushSliderSize);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  cursor: ns-resize;
  border: 2px solid white;
  background: #2c2c2c;
}

body.drawing .canvas_slider .progress_bar {
  width: 100%;
  height: 18%;
  background: white;
  bottom: 0;
  top: unset;
  left: 0;
}

.input_slider {
  float: left;
  clear: left;
  width: 80%;
  height: 2px;
  top: 50%;
  left: 10%;
  background: #59636b;
  border: 0;
  outline: none;
}

@media screen and (max-width: 767px) {
  .input_slider {
    width: 70%;
    left: 15%;
  }
}

.input_slider span.ui-slider-handle {
  position: absolute;
  height: 25px;
  width: 0;
  padding: 0;
  margin-left: 0;
  background: none;
  border: 0;
}

.input_slider span.ui-slider-handle:after {
  content: "";
  width: 25px;
  height: 25px;
  border-radius: 50%;
  position: absolute;
  top: 30%;
  left: 25%;
  transform: translate(-50%, -50%);
  outline: none;
  background: #1c1c1c;
  border: 2px solid #fcd381;
  cursor: ew-resize;
}

.input_slider span.ui-slider-handle:focus {
  outline: none !important;
}

.input_slider .progress_bar {
  position: absolute;
  left: 50%;
  height: 100%;
  width: 0px;
  background: #fcd381;
}
